# $Revision: 1.16 $, $Date: 2004/05/07 01:09:15 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Apache
%define		pnam	Filter
Summary:	Apache::Filter - alter the output of previous handlers
Summary(pl):	Apache::Filter - obrabianie danych na wyjciu poprzedniego moduu
Name:		perl-Apache-Filter
Version:	1.022
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f2aa0a85081c28d6d86a14773149ebc5
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

#%%define		_noautoreq	'perl(Apache)'

%description
Apache::Filter Perl module alters the output of previous handlers in
a chain of "filter-aware" Apache modules.

%description -l pl
Modu Perla Apache::Filter obrabia dane na wyjciu poprzedniego moduu
w ramach listy "filtrowalnych" moduw z klasy Apache.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
echo "!" | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Apache/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Apache-Filter.spec,v $
Revision 1.16  2004/05/07 01:09:15  ankry
- rel. 3

Revision 1.15  2004/05/06 18:09:13  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/17 05:46:23  ankry
- license fixes

Revision 1.13  2004/03/09 20:05:21  adamg
- new style bconds

Revision 1.12  2004/02/18 15:29:32  qboosh
- s/no/nb/ in Summary langs

Revision 1.11  2003/09/09 10:24:25  ankry
- spaces -> tab

Revision 1.10  2003/08/19 14:28:06  qboosh
- updated _noauto for new wrappers, cosmetics

Revision 1.9  2003/05/28 13:00:20  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 17:42:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/18 15:25:49  ankry
- massive attack: change CPAN URLs

Revision 1.4  2003/02/05 16:16:56  ankry
- autoupdated to 1.022

Revision 1.3  2003/01/07 12:46:37  mis
- autoupdated to 1.021

Revision 1.2  2002/11/19 17:07:32  mis
- autoupdated to 1.020

Revision 1.1  2002/10/23 00:51:21  ankry
- new
